<ul>
{% for key_a, _a in a %}
<li>
    {{ key_a }}
    <ul>
        {% for key_m, _m in _a %}
            <li><a href="">{{ meses[key_m] }}</a></li>
        {% endfor %}
    </ul>
</li>
{% endfor %}
</ul>